Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.pathfinding
Class PathNavigate

    java.lang.Object
      net.minecraft.pathfinding.PathNavigate

    public class PathNavigate

extends Object

Constructor Summary
`PathNavigate(EntityLiving par1EntityLiving, World par2World, float par3)`

Method Summary
`void` | `clearPathEntity()` sets active PathEntity to null
`boolean` | `getAvoidsWater()`
`boolean` | `getCanBreakDoors()` Returns true if the entity can break doors, false otherwise
`PathEntity` | `getPath()` gets the actively used PathEntity
`PathEntity` | `getPathToEntityLiving(EntityLiving par1EntityLiving)` Returns the path to the given EntityLiving
`PathEntity` | `getPathToXYZ(double par1, double par3, double par5)` Returns the path to the given coordinates
`boolean` | `noPath()` If null path or reached the end
`void` | `onUpdateNavigation()`
`void` | `setAvoidSun(boolean par1)` Sets if the path should avoid sunlight
`void` | `setAvoidsWater(boolean par1)`
`void` | `setBreakDoors(boolean par1)`
`void` | `setCanSwim(boolean par1)` Sets if the entity can swim
`void` | `setEnterDoors(boolean par1)` Sets if the entity can enter open doors
`boolean` | `setPath(PathEntity par1PathEntity, float par2)` sets the active path data if path is 100% unique compared to old path, checks to adjust path for sun avoiding ents and stores end coords
`void` | `setSpeed(float par1)` Sets the speed
`boolean` | `tryMoveToEntityLiving(EntityLiving par1EntityLiving, float par2)` Try to find and set a path to EntityLiving.
`boolean` | `tryMoveToXYZ(double par1, double par3, double par5, float par7)` Try to find and set a path to XYZ.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathNavigate

    public PathNavigate(EntityLiving par1EntityLiving,
                        World par2World,
                        float par3)

Method Detail

### setAvoidsWater

    public void setAvoidsWater(boolean par1)

### getAvoidsWater

    public boolean getAvoidsWater()

### setBreakDoors

    public void setBreakDoors(boolean par1)

### setEnterDoors

    public void setEnterDoors(boolean par1)

  Sets if the entity can enter open doors

### getCanBreakDoors

    public boolean getCanBreakDoors()

  Returns true if the entity can break doors, false otherwise

### setAvoidSun

    public void setAvoidSun(boolean par1)

  Sets if the path should avoid sunlight

### setSpeed

    public void setSpeed(float par1)

  Sets the speed

### setCanSwim

    public void setCanSwim(boolean par1)

  Sets if the entity can swim

### getPathToXYZ

    public PathEntity getPathToXYZ(double par1,
                                   double par3,
                                   double par5)

  Returns the path to the given coordinates

### tryMoveToXYZ

    public boolean tryMoveToXYZ(double par1,
                                double par3,
                                double par5,
                                float par7)

  Try to find and set a path to XYZ. Returns true if successful.

### getPathToEntityLiving

    public PathEntity getPathToEntityLiving(EntityLiving par1EntityLiving)

  Returns the path to the given EntityLiving

### tryMoveToEntityLiving

    public boolean tryMoveToEntityLiving(EntityLiving par1EntityLiving,
                                         float par2)

  Try to find and set a path to EntityLiving. Returns true if successful.

### setPath

    public boolean setPath(PathEntity par1PathEntity,
                           float par2)

  sets the active path data if path is 100% unique compared to old path, checks to adjust path for sun avoiding ents and stores end coords

### getPath

    public PathEntity getPath()

  gets the actively used PathEntity

### onUpdateNavigation

    public void onUpdateNavigation()

### noPath

    public boolean noPath()

  If null path or reached the end

### clearPathEntity

    public void clearPathEntity()

  sets active PathEntity to null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD